org.apache.ivy.ant

## Class IvyConfigure

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyConfigure

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyConfigure
    extends org.apache.tools.ant.Task

Configure Ivy with an ivysettings.xml file

### Field Summary

Fields
`static java.lang.String` `OVERRIDE_FALSE` Use to avoid overriding a previous definition of settings with the same id
`static java.lang.String` `OVERRIDE_NOT_ALLOWED` Use to raise an error if attempting to override a previous definition of settings with the same id
`static java.lang.String` `OVERRIDE_TRUE` Use to override a previous definition of settings with the same id

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`IvyConfigure()`

### Method Summary

Methods
`void` `execute()`
`java.io.File` `getFile()`
`java.lang.String` `getHost()`
`java.lang.String` `getOverride()`
`java.lang.String` `getPasswd()`
`java.lang.String` `getRealm()`
`java.lang.String` `getSettingsId()`
`java.net.URL` `getUrl()`
`java.lang.String` `getUserName()`
`void` `setFile(java.io.File file)`
`void` `setHost(java.lang.String host)`
`void` `setOverride(java.lang.String override)`
`void` `setPasswd(java.lang.String passwd)`
`void` `setRealm(java.lang.String realm)`
`void` `setSettingsId(java.lang.String settingsId)`
`void` `setUrl(java.lang.String url)`
`void` `setUrl(java.net.URL url)`
`void` `setUserName(java.lang.String userName)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OVERRIDE_TRUE

    public static final java.lang.String OVERRIDE_TRUE

Use to override a previous definition of settings with the same id

See Also:
  Constant Field Values

#### OVERRIDE_FALSE

    public static final java.lang.String OVERRIDE_FALSE

Use to avoid overriding a previous definition of settings with the same id

See Also:
  Constant Field Values

#### OVERRIDE_NOT_ALLOWED

    public static final java.lang.String OVERRIDE_NOT_ALLOWED

Use to raise an error if attempting to override a previous definition of settings with the same id

See Also:
  Constant Field Values

### Constructor Detail

#### IvyConfigure

    public IvyConfigure()

### Method Detail

#### setSettingsId

    public void setSettingsId(java.lang.String settingsId)

#### getSettingsId

    public java.lang.String getSettingsId()

#### setOverride

    public void setOverride(java.lang.String override)

#### getOverride

    public java.lang.String getOverride()

#### getFile

    public java.io.File getFile()

#### setFile

    public void setFile(java.io.File file)

#### getUrl

    public java.net.URL getUrl()

#### setUrl

    public void setUrl(java.lang.String url)
                throws java.net.MalformedURLException

Throws:
  `java.net.MalformedURLException`

#### setUrl

    public void setUrl(java.net.URL url)

#### getRealm

    public java.lang.String getRealm()

#### setRealm

    public void setRealm(java.lang.String realm)

#### getHost

    public java.lang.String getHost()

#### setHost

    public void setHost(java.lang.String host)

#### getUserName

    public java.lang.String getUserName()

#### setUserName

    public void setUserName(java.lang.String userName)

#### getPasswd

    public java.lang.String getPasswd()

#### setPasswd

    public void setPasswd(java.lang.String passwd)

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`